langcode: en
status: true
dependencies:
  config:
    - filter.format.full_html
  module:
    - ckeditor5
format: full_html
editor: ckeditor5
settings:
  toolbar:
    items:
      - bold
      - strikethrough
      - italic
      - sourceEditing
      - '|'
      - link
      - drupalMedia
      - '|'
      - bulletedList
      - numberedList
      - insertTable
      - '|'
      - heading
      - '|'
      - codeBlock
      - code
      - '|'
      - box
      - button
      - map
      - calendar
      - tooltip
      - invisible
  plugins:
    ckeditor5_heading:
      enabled_headings:
        - heading2
        - heading3
        - heading4
        - heading5
        - heading6
    ckeditor5_sourceEditing:
      allowed_tags: {  }
    ckeditor5_list:
      reversed: true
      startIndex: true
    media_media:
      allow_view_mode_override: true
    ckeditor5_codeBlock:
      languages:
        -
          label: 'Plain text'
          language: plaintext
        -
          label: C
          language: c
        -
          label: 'C#'
          language: cs
        -
          label: C++
          language: cpp
        -
          label: CSS
          language: css
        -
          label: Diff
          language: diff
        -
          label: HTML
          language: html
        -
          label: Java
          language: java
        -
          label: JavaScript
          language: javascript
        -
          label: PHP
          language: php
        -
          label: Python
          language: python
        -
          label: Ruby
          language: ruby
        -
          label: TypeScript
          language: typescript
        -
          label: XML
          language: xml
image_upload: {  }
